package com.linecorp.linesdk.a;

import com.bytedance.covode.number.Covode;

public final class g {
    public final String LIZ;
    public final long LIZIZ;
    public final String LIZJ;

    static {
        Covode.recordClassIndex(46039);
    }

    public final int hashCode() {
        int i;
        long j = this.LIZIZ;
        int hashCode = ((this.LIZ.hashCode() * 31) + ((int) (j ^ (j >>> 32)))) * 31;
        String str = this.LIZJ;
        if (str != null) {
            i = str.hashCode();
        } else {
            i = 0;
        }
        return hashCode + i;
    }

    public final String toString() {
        return "RefreshTokenResult{accessToken='#####', expiresInMillis=" + this.LIZIZ + ", refreshToken='#####'}";
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            g gVar = (g) obj;
            if (this.LIZIZ != gVar.LIZIZ || !this.LIZ.equals(gVar.LIZ)) {
                return false;
            }
            String str = this.LIZJ;
            String str2 = gVar.LIZJ;
            if (str != null) {
                return str.equals(str2);
            }
            if (str2 == null) {
                return true;
            }
        }
        return false;
    }

    public g(String str, long j, String str2) {
        this.LIZ = str;
        this.LIZIZ = j;
        this.LIZJ = str2;
    }
}
